/**
 * Copyright (C) 2001-2004
 * - France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Authors: P. Dechamboux, S. Chassande-Barrioz
 *
 */

package org.objectweb.perseus.jndi;

import java.util.Properties;

import javax.naming.CompoundName;
import javax.naming.InvalidNameException;

/**
 * Represents a dotted name in the form of "a.b.c".
 * @author S. Chassande-Barrioz
 */
public class DottedName extends CompoundName {

    static Properties syntax = new Properties();

    static {
        syntax.put("jndi.syntax.direction", "left_to_right");
        syntax.put("jndi.syntax.separator", ".");
        syntax.put("jndi.syntax.ignorecase", "false");
    }

	public DottedName(String name) throws InvalidNameException {
		super(name, syntax);
	}
}
