/**
 * Copyright (C) 2001-2004
 * - France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Authors: P. Dechamboux, S. Chassande-Barrioz
 *
 */

package org.objectweb.perseus.jndi;

import org.objectweb.perseus.jndi.DottedName;

import javax.naming.Name;
import javax.naming.NameParser;
import javax.naming.NamingException;

/**
 * Basic name parser used for classes naming space.
 */
public class NameParserImpl implements NameParser {
    /**
     * Parse a name into its components.
     * @param  name The non-null string name to parse.
     * @return A non-null parsed form of the name using the naming convention
     * of this parser.
     * @exception javax.naming.NamingException If a naming exception was encountered.
     */
    public Name parse(String name) throws NamingException {
        return new DottedName(name);
    }

}
